.TH auth 3 "kernel  2.13.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
auth \- Erlang Network Authentication Server
.SH DESCRIPTION
.LP
This module is deprecated\&. For a description of the Magic Cookie system, refer to Distributed Erlang in the Erlang Reference Manual\&.

.SH EXPORTS
.LP
.B
is_auth(Node) -> yes | no
.br
.RS
.TP
Types
Node = node()
.br
.RE
.RS
.LP
Returns \fIyes\fR if communication with \fINode\fR is authorized\&. Note that a connection to \fINode\fR will be established in this case\&. Returns \fIno\fR if \fINode\fR does not exist or communication is not authorized (it has another cookie than \fIauth\fR thinks it has)\&.
.LP
Use net_adm:ping(Node) instead\&.
.RE
.LP
.B
cookie() -> Cookie
.br
.RS
.TP
Types
Cookie = atom()
.br
.RE
.RS
.LP
Use erlang:get_cookie() instead\&.
.RE
.LP
.B
cookie(TheCookie) -> true
.br
.RS
.TP
Types
TheCookie = Cookie | [Cookie]
.br
  The cookie may also be given as a list with a single atom element
.br
 Cookie = atom()
.br
.RE
.RS
.LP
Use erlang:set_cookie(node(), Cookie) instead\&.
.RE
.LP
.B
node_cookie([Node, Cookie]) -> yes | no
.br
.RS
.TP
Types
Node = node()
.br
Cookie = atom()
.br
.RE
.RS
.LP
Equivalent to node_cookie(Node, Cookie)\&.
.RE
.LP
.B
node_cookie(Node, Cookie) -> yes | no
.br
.RS
.TP
Types
Node = node()
.br
Cookie = atom()
.br
.RE
.RS
.LP
Sets the magic cookie of \fINode\fR to \fICookie\fR, and verifies the status of the authorization\&. Equivalent to calling erlang:set_cookie(Node, Cookie), followed by auth:is_auth(Node)\&.
.RE
